# https://fedoraproject.org/wiki/Packaging:Haskell

Name:           xmobar
Version:        0.23.1
Release:        4%{?dist}
Summary:        A minimalistic text-based status bar

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        xmobar.desktop
Patch0:         xmobar-0.23.1-flags.patch
Patch1:         xmobar-0.23.1-fonts.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-X11-xft-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hinotify-devel
BuildRequires:  ghc-libmpd-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  libXrandr-devel%{?_isa}
BuildRequires:  libXrender-devel%{?_isa}
BuildRequires:  wireless-tools-devel%{?_isa}
# End cabal-rpm deps
BuildRequires:  desktop-file-utils
BuildRequires:  libXpm-devel

%description
Xmobar is a minimalistic text based status bar.

Inspired by the Ion3 status bar, it supports similar features, like dynamic
color management, output templates, and extensibility through plugins.


%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .fonts


%build
%ghc_bin_build
cd samples
%{_bindir}/ghc %{!?ghc_without_dynamic:-dynamic} --make xmonadpropwrite.hs
cd -


%install
desktop-file-install                         \
  --dir=%{buildroot}%{_datadir}/applications \
   %{SOURCE1}
%ghc_bin_install
install --mode=0755 -p samples/xmonadpropwrite %{buildroot}%{_bindir}/xmonadpropwrite

rm %{buildroot}%{ghc_pkgdocdir}/license


%files
%license license
%doc readme.md news.md samples/xmobar.config
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/xmonadpropwrite
%{_datadir}/applications/xmobar.desktop


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 10 2015 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-3
- remove license from docdir

* Sun Jul 19 2015 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-2
- Rebuild to catch libmpd rebuild; missed the buildroot refresh

* Sun Jul 19 2015 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-1
- Update to 0.23.1

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.22.1-2
- cblrpm refresh

* Thu Dec 11 2014 Ben Boeckel <mathstuf@gmail.com> - 0.22.1-1
- update to 0.22.1

* Thu Sep 25 2014 Jens Petersen <petersen@redhat.com> - 0.21-1
- update to 0.21
- refresh to cblrpm-0.8.11

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Ben Boeckel <mathstuf@gmail.com> - 0.20.1-1
- Update to 0.20.1

* Thu Jan 16 2014 Jens Petersen <petersen@redhat.com> - 0.19-1
- update to 0.19

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.18-1
- update to 0.18

* Fri Mar 22 2013 Jens Petersen <petersen@redhat.com> - 0.16-3
- rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 19 2013 Jens Petersen <petersen@redhat.com> - 0.16-1
- update to 0.16

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.15-4
- update with cabal-rpm
- set flags with patch for cabal-rpm
- override mtl version with cabal-tweak-dep-ver

* Mon Oct 29 2012 Jens Petersen <petersen@redhat.com> - 0.15-3
- allow building with stm-2.4

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Jens Petersen <petersen@redhat.com> - 0.15-1
- update to 0.15
- allow building with mtl-2.1
- xmobar-0.14-MPD-ghc74-Show.patch no longer needed

* Wed Mar 21 2012 Jens Petersen <petersen@redhat.com> - 0.14-4
- fix MPD build on ghc-7.4

* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.14-3
- Rebuild for ghc-libmpd

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.14-2
- update to cabal2spec-0.25.2
- new dependency on libXrandr

* Wed Dec 14 2011 Ben Boeckel <mathstuf@gmail.com> - 0.14-1
- Update to 0.14

* Wed Oct 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.13-5.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.13-5.1
- rebuild with new gmp

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.13-5
- Update to cabal2spec-0.24
- xmonadpropwrite.hs is in the tarball again

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.13-4
- reenable hinotify

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.13-3
- update to cabal2spec-0.23.2: BR ghc-Cabal-devel and use ghc_arches
- disable hinotify temporarily since it failed to build on x86_64

* Fri Jun  3 2011 Jens Petersen <petersen@redhat.com> - 0.13-2
- use xft:mono-12 font by default using patch from Pavel Zhukov (#708633)
- add ppc64

* Mon Mar 28 2011 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- Update to 0.13

* Sat Mar 12 2011 Jens Petersen <petersen@redhat.com> - 0.12-5
- hide desktop file from desktop menu (#674731)
- use cabal_configure_options, cabal_bin_build, ghc_without_dynamic

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12-4
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.12-3
- Rebuild for broken dependencies

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.12-1
- Update to cabal2spec-0.22.4
- Update to 0.12

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.11.1-9
- update to cabal2spec-0.22.4
- BR ghc-devel

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-8
- rebuild with newer stm, syb, and network

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-7
- Re-enable libmpd

* Mon Nov 29 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-6
- Disable libmpd support since 0.5 broke things

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-5
- rebuild

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-4
- Ship a desktop file as well

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-3
- Enable libmpd and hinotify by default
- Ship the README

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-2
- Build xmonadpropwrite as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Tue Aug 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
